pub mod types;

use super::args::ColorType;
use std::io::Write;
use tool_helper::{Error, Input};

pub type Arguments = super::args::Arguments;

pub fn convert(args: Arguments, input: Input, output: &mut dyn Write) -> Result<(), Error> {
    match args.color_depth {
        ColorType::Full16 => super::convert_full16(input, output),
        _                 => super::convert_palette_based(input, output, args.color_depth, args.clut_align, args.semi_transparent, args.transparent_palette),
    }
}